import React from 'react';
export interface UploadOffsetResult {
    success: boolean;
    errorField: string;
    errorMsg: string;
    fileName: string;
}
export interface IUploadProvide {
    withinSize: (maxSize: number) => boolean;
    withinTypes: (types: string[]) => boolean;
}
export interface IOffset {
    size?: number;
    width?: number;
    height?: number;
    ratio?: number;
}
interface IProps {
    className?: string;
    style?: React.CSSProperties;
    disabled?: boolean;
    id?: string;
    beforeUpload?: (fileList: FileList, provide: IUploadProvide, e: React.ChangeEvent<HTMLInputElement>) => boolean;
    action: (formData: FormData, file: File, contentType: {
        [K in string]: string;
    }) => void;
    multiple?: boolean;
    name?: string;
    accept?: string;
    offset?: IOffset;
    invalidHandler?: (ret: UploadOffsetResult) => void;
}
interface IState {
}
export default class NativeUpload extends React.Component<IProps, IState> {
    private varifyMedia;
    private validateSize;
    private getValidateResult;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => Promise<void>;
    /**
     * 你需要用label标签，将其htmlFor属性指向这个input id;
     */
    render(): JSX.Element;
}
export {};
